For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportContact salesStart free trial
  • Getting started
    • Overview
    • Authentication
    • Querying tutorial
    • OData Integrations
    • Work Breakdown Structure
    • Software Development Kits
    • API Patch Notes
    • FAQ
    • Terms of use
  • API Reference
      • GETGet task metadata
      • PUTAdd Metadata
      • GETTask Metadata Search
LogoLogo
SupportContact salesStart free trial
API ReferenceTask Metadata

Add Metadata

PUT
https://api.projectmanager.com/api/data/tasks/:taskId/metadata
PUT
/api/data/tasks/:taskId/metadata
$curl -X PUT https://api.projectmanager.com/api/data/tasks/taskId/metadata \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
200Updated
1{
2 "error": {
3 "technicalError": "string",
4 "additionalErrors": [
5 "string"
6 ],
7 "validationErrors": {},
8 "message": "string"
9 },
10 "success": true,
11 "hasError": true,
12 "statusCode": "Continue"
13}
Adds a metadata to a task
Was this page helpful?
Previous

Task Metadata Search

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

taskIdstringRequiredformat: "uuid"
Task ID

Headers

x-integration-namestringOptional
The name of the calling system passed along as a header parameter

Query parameters

isSystembooleanOptionalDefaults to false

If metadata is for system or customer, isSystem = true is only of ProjectManager

isOverridebooleanOptionalDefaults to false
If false we merge with the keys

Request

The metadata
datamap from strings to stringsOptional
Customer or system metadata

Response

Success
errorobject or null
If the API call failed, this will contain information about the error that occurred.
successbooleanRead-only

True if the API call succeeded; false otherwise.

hasErrorbooleanRead-only
True if the API call failed.
statusCodeenum
The HTTP code of the response.